<template>
  <div class="content">

    <div id="contentList">




      <div v-if="!info">Loading Please wait...</div>
      <div v-else>
        <ul v-for="(item, index) in info.slice().reverse()">
          {{item.originalname.split("_")[0]}} - {{item.originalname.split("_")[1].split(".")[0]}}
          <aplayer
            :music="{
              title: item.originalname.split('_')[0],
              artist: item.originalname.split('_')[1].split('.')[0],
              src: 'http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/' + item.filename,
              pic: 'http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/Girl_Headphones.jpg'
            }"
          />
        </ul>
      </div>






      <!--aplayer
        :music="{
          title: 'Test',
          artist: 'Unknown',
          src: 'https://moeplayer.b0.upaiyun.com/aplayer/secretbase.mp3',
          pic: 'https://moeplayer.b0.upaiyun.com/aplayer/secretbase.jpg'
        }"
      /-->



      <!-- Globale link to ipns directory: https://ipfs.io/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM -->
      <!--audio src= 'http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/3934ea70-8e05-11e8-9e3b-19a2f4032452'></audio>
      <audio src= 'http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/87ced380-98c8-11e8-ba8b-b3cb747245d3' type="audio/x-wav"></audio-->








    </div>

    <div class="post">
      <div class="loading" v-if="loading">
        Loading...
      </div>

      <div v-if="error" class="error">
        {{ error }}
      </div>

      <div v-if="post" class="content">
        <h2>{{ post }}</h2>
        <p>{{ post.body }}</p>
      </div>

      <p v-if="message">{{ message }}</p>
    </div>

  </div>
</template>

<script>
import * as axios from 'axios';
import Aplayer from 'vue-aplayer';


export default {
  name: 'Home',
  components: {
        Aplayer
    },
  data() {
    return {
      msg: 'Welcome to Your Vue.js App',
      message: '',
      ipnsURL: 'http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM',
      json: null, // initialize with null
      shoppingItems: [
        {name: 'apple', price: '10'},
        {name: 'orange', price: '12'}
      ],
      parentMsg: 'Hello',
      items: [
        { childMsg: 'Foo' },
        { childMsg: 'Bar' },
        { childMsg: 'Ce' },
        { childMsg: 'Lo' },
        { childMsg: 'Na' },
      ],
      loading: false,
      post: null,
      error: null,
      info: null,
    };
  },
  created: function() {




    /**$.getJSON('http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json', function(data) {
        //data is the JSON string
        if(self.json == null) {
          console.log("Is null!");
        }
        console.log("JSON", data);
        dataJSON = data.collections[0].data;
        console.log("inside getJSON dataJSON: ", dataJSON);
        console.log("inside getJSON dataJSON: " + dataJSON[0].originalname);

    });


    this.loadJSON();
    this.fetchData();
    this.updateMessage();**/
  },
  watch: {
     // call again the method if the route changes
     '$route': 'fetchData'
   },
  mounted () {
    console.log("mounted: this.info: " + self.info);

    axios
        .get('http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json')
        .then(response => (this.info = response.data.collections[0].data))

    console.log("this.info: " + this.info);

    /**$(document).ready(function(){
      console.log("START OF LOADJSON");
      //http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json
      $.getJSON('http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json', function(data) {
          //data is the JSON string
          self.posts = data.collections[0].data;
          self.posts.push(data.collections[0].data[0]);

          console.log(data);
          console.log(data.collections[0].data);
          console.log("self.posts[0].originalname: " + self.posts[0].originalname);
          console.log("data length: " + data.collections[0].data.length);
          console.log("self.posts length: " + self.posts.length);
      });
      //loadJSON("http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json", gotData, "jsonp");

      console.log("END OF LOADJSON");
    });**/
    $.getJSON('http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json', function(data) {
        //data is the JSON string
        self.posts = data;
        console.log("self.posts: " + self.posts.collections[0].data[0].originalname);


        self.posts = data.collections[0].data;
        self.posts.push(data.collections[0].data[0]);
        console.log("Outside ready: " + data);
        console.log(data.collections[0].data);
        console.log("self.posts[0].originalname: " + self.posts[0].originalname);
        console.log("data length: " + data.collections[0].data.length);
        console.log("self.posts length: " + self.posts.length);
    });

    var aud = $('audio')[0];
    $('.play-pause').on('click', function(){
    if (aud.paused) {
      aud.play();
      $('.play-pause').removeClass('icon-play');
      $('.play-pause').addClass('icon-stop');
    }
    else {
      aud.pause();
      $('.play-pause').removeClass('icon-stop');
      $('.play-pause').addClass('icon-play');
    }

    })
    $('.next').on('click', function(){
    aud.src = 'another audio source';
    })
    aud.ontimeupdate = function(){
      $('.progress').css('width', aud.currentTime / aud.duration * 100 + '%')
    }

    /**var audioplayer = document.getElementById("LOL");

    var duration;
    $("#play-btn").click(function(){
        if (audioplayer.paused) {
          duration = document.getElementById("LOL").duration;
          console.log("Audio was paused!");
          console.log("Duration: " + duration);
          console.log("duration.toFixed(2): " + duration.toFixed(2));
          $("#myRange").max = duration.toFixed(2);
          audioplayer.play();
          //$(this).attr('src','Play_Music_Button.png');
        }
        else {
          console.log("Audio was played!");
          audioplayer.pause();
          //$(this).attr('src','Pause_Music_Button.png');
        }
        $(this).toggleClass('pause');  /* style your toggle button according to
                                          the current state
    })**/


  },
  methods: {
    loadJSON: function() {
      this.json = 'Loading....';
      var vm = this;
      axios.get('http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json').then( function (response){
        vm.json = response.data[0];
      })
      .catch( function (error){
        vm.json = "An error occurred: " + error;
      })
    },
    fetchData () {
      this.error = this.post = null
      this.loading = true
      // replace `getPost` with your data fetching util / API wrapper
      $.getJSON('http://localhost:8080/ipns/Qmc4ApFue4GdrzF4Tf3r3ype5em4aLWpryErCshq67ewAM/db.json', function(data) {
          //data is the JSON string
          self.post = data.collections[0].data;
          console.log("inside getJSON this.post: " + self.post[0].originalname);

      });
      this.loading = false
      console.log("outside getJSON this.post: " + self.post);
    },
    updateMessage: function () {
      this.message = 'updated'
      console.log(this.$el.textContent) // => 'not updated'

    }
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}

#play-btn{
  margin-left: 50px;
}

#play-btn:hover{
  cursor: pointer;
  opacity: 0.7;
}
.content{
  padding: 0px;
  margin: 0px;
  background-color: #f2f2f2;
}
#customPlayer{
  padding-left: 50px;
}

#contentList {
  margin: auto;
  width: 80%;
  background-color: white;
  border-style: solid;
  border-width: 1px;
  border-color: black;

}

#small{
}

#big{
  background-color: white;
}

#biggest{
  border-width: 1px;
  border-style: solid;
  border-color: black;
  border-radius: 10px;
  background-color: white;

}

#timerSlider {
  margin-left: 50px;
}

.trackPic{
  margin: 5px;
}

.slidecontainer {
    width: 100%; /* Width of the outside container */
}

/* The slider itself */
.slider {
    -webkit-appearance: none;  /* Override default CSS styles */
    appearance: none;
    width: 100%; /* Full-width */
    height: 25px; /* Specified height */
    background: white; /* Grey background */
    outline: none; /* Remove outline */
    opacity: 1; /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
    transition: opacity .2s;
}

/* Mouse-over effects */
.slider:hover {
    opacity: 0.7; /* Fully shown on mouse-over */
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
.slider::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 25px; /* Set a specific slider handle width */
    height: 25px; /* Slider handle height */
    background: black; /* Green background */
    cursor: pointer; /* Cursor on hover */
}

.slider::-moz-range-thumb {
    width: 25px; /* Set a specific slider handle width */
    height: 25px; /* Slider handle height */
    background: black; /* Green background */
    cursor: pointer; /* Cursor on hover */
}

.player {
  margin: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  position: relative;
  width: 90%;
  height: 100%;
  background-color: rgba(0,0,0,0.2);
  display: flex;
  border-radius: 2px;
  padding: 5 16px;
  img {
    margin-top: 5px;
    width: 60px;
    height: 50px;
  }
  .info {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    width: 50%;
    padding: 0 16px;
    .name {
      font-size: 15px;
      font-weight: 700;
    }
    .singer {
      font-size: 12px;
    }
  }
  .btns {
    width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 16px;

    div:nth-child(1) {
            font-size: 30px;
        }
        div:nth-child(2), div:nth-child(3) {
            font-size: 18px;
        }

  }
  .progress {
    position: absolute;
    height: 2px;
    left: 0;
    top: 0;
    background-color: #00a8ff;
  }
}


@font-face {
    font-family: iconfont;
    src: url('//static0.qianqian.com/web/st/font/iconfont-4e6.woff') format('woff')
}

.iconfont {
        font-family: iconfont!important;
        font-size: 16px;
        font-style: normal;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale
    }

    .icon-list:before {
        content: "\e603"
    }

    .icon-loop-single:before {
        content: "\e604"
    }

    .icon-arrow-right:before {
        content: "\e605"
    }

    .icon-loop:before {
        content: "\e606"
    }

    .icon-prev:before {
        content: "\e607"
    }

    .icon-favor:before {
        content: "\e608"
    }

    .icon-next:before {
        content: "\e60a"
    }

    .icon-download:before {
        content: "\e60b"
    }

    .icon-search:before {
        content: "\e60c"
    }

    .icon-zhanwei1:before {
        content: "\e610"
    }

    .icon-favor1:before {
        content: "\e618"
    }

    .icon-random:before {
        content: "\e619"
    }

    .icon-play:before {
        content: "\e616"
    }

    .icon-stop:before {
        content: "\e617"
    }

    .icon-mv:before {
        content: "\e61b"
    }

    .icon-arrow-down:before {
        content: "\e61d"
    }

    .icon-arrow-left:before {
        content: "\e61e"
    }

    .icon-arrow-up:before {
        content: "\e61f"
    }

    .icon-listen:before {
        content: "\e609"
    }

    .icon-round:before {
        content: "\e60d"
    }

    .icon-triangle:before {
        content: "\e60e"
    }

    .icon-information:before {
        content: "\e60f"
    }

    .icon-home:before {
        content: "\e611"
    }

    .icon-i:before {
        content: "\e612"
    }

    .icon-information-:before {
        content: "\e613"
    }

    .icon-bubble-filled-icon:before {
        content: "\e614"
    }

    .icon-round-right:before {
        content: "\e615"
    }

    .icon-vip:before {
        content: "\e61a"
    }

    .icon-word:before {
        content: "\e61c"
    }

</style>
